Summary: Process accounting tools
Name: psacct
Version: 6.3
Release: 5
Copyright: GPL
Group: Utilities/System
Source: ftp://prep.ai.mit.edu/pub/gnu/acct-6.3.tar.gz
Patch0: acct-6.3-config.patch
Buildroot: /var/tmp/psacct-root
Prereq: /sbin/install-info
Summary(de): Prozeabrechnungs-Tools
Summary(fr): Outils pour les processus
Summary(tr): Sre izleme aralar

%description
The tools necessary for accounting the activities of processes are
included here.

%description -l de
Hier sind die Tools enthalten, die zum Abrechnen von Prozeaktivitten
erforderlich sind.

%description -l fr
Outils ncessaires pour la prise en compte des activits des processus.

%description -l tr
Bu pakette, srelerin etkinliinin hesaplanmas iin gerekli aralar yer
alr.

%prep
%setup -q -n acct-6.3
%patch -p1 -b .sopwith

%build
autoconf
sleep 2
./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,usr,var/log}

make prefix=$RPM_BUILD_ROOT/usr install

( cd $RPM_BUILD_ROOT
# move accton to /sbin -- leave historical symlink
  mv ./usr/sbin/accton ./sbin/accton
  ln -s ../../sbin/accton ./usr/sbin/accton

  gzip -9f ./usr/info/*
  :> ./var/log/pacct
  :> ./var/log/usracct
  :> ./var/log/savacct
)


%clean
rm -rf $RPM_BUILD_ROOT

%post
grep -v '* accounting: (psacct)' < /usr/info/dir > /usr/info/dir.new
mv -f /usr/info/dir.new /usr/info/dir
/sbin/install-info /usr/info/accounting.info.gz /usr/info/dir --entry="* accounting: (psacct).            The GNU Process Accounting Suite."

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/accounting.info.gz /usr/info/dir --entry="* accounting: (psacct).            The GNU Process Accounting Suite."
fi

%files
%defattr(-,root,root)
%attr(0600,root,root)	%config /var/log/pacct
%attr(0600,root,root)	%config /var/log/usracct
%attr(0600,root,root)	%config /var/log/savacct
/sbin/accton
/usr/sbin/accton
/usr/sbin/sa
/usr/sbin/dump-utmp
/usr/sbin/dump-acct
/usr/bin/ac
/usr/bin/lastcomm
/usr/man/man1/ac.1
/usr/man/man1/lastcomm.1
/usr/man/man8/sa.8
/usr/man/man8/accton.8
/usr/info/accounting.info.gz

%changelog
* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- accton needs to be accessible to /etc/rc.d/init.d/halt

* Fri May 08 1998 Erik Troan <ewt@redhat.com>
- install-info sucks

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 6.2 to 6.3

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
